package com.mortals.xhx.module.datum.model;

import java.util.List;
import com.mortals.xhx.module.datum.model.DatumInfoFieldEntity;
/**
 * 用户填单信息字段查询对象
 *
 * @author zxfei
 * @date 2025-06-08
 */
public class DatumInfoFieldQuery extends DatumInfoFieldEntity {
    /** 开始 主键ID，主键，自增长 */
    private Long idStart;

    /** 结束 主键ID，主键，自增长 */
    private Long idEnd;

    /** 增加 主键ID，主键，自增长 */
    private Long idIncrement;

    /** 主键ID，主键，自增长列表 */
    private List <Long> idList;

    /** 主键ID，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 微信openid */
    private List<String> openIdList;

    /** 微信openid排除列表 */
    private List <String> openIdNotList;
    /** 身份证号码 */
    private List<String> idCardList;

    /** 身份证号码排除列表 */
    private List <String> idCardNotList;
    /** 手机号码 */
    private List<String> mobileList;

    /** 手机号码排除列表 */
    private List <String> mobileNotList;
    /** 开始 填单打印id */
    private Long datumPrintIdStart;

    /** 结束 填单打印id */
    private Long datumPrintIdEnd;

    /** 增加 填单打印id */
    private Long datumPrintIdIncrement;

    /** 填单打印id列表 */
    private List <Long> datumPrintIdList;

    /** 填单打印id排除列表 */
    private List <Long> datumPrintIdNotList;

    /** 字段编码 */
    private List<String> fieldCodeList;

    /** 字段编码排除列表 */
    private List <String> fieldCodeNotList;
    /** 字段名称 */
    private List<String> fieldNameList;

    /** 字段名称排除列表 */
    private List <String> fieldNameNotList;
    /** 字段类型 */
    private List<String> fieldTypeList;

    /** 字段类型排除列表 */
    private List <String> fieldTypeNotList;
    /** 字段类型值 */
    private List<String> fieldTypeValueList;

    /** 字段类型值排除列表 */
    private List <String> fieldTypeValueNotList;
    /** 数据类型 */
    private List<String> dataTypeList;

    /** 数据类型排除列表 */
    private List <String> dataTypeNotList;
    /** 字段值 */
    private List<String> fieldValueList;

    /** 字段值排除列表 */
    private List <String> fieldValueNotList;
    /** 字段默认值 */
    private List<String> defaultValueList;

    /** 字段默认值排除列表 */
    private List <String> defaultValueNotList;
    /** 开始 数据长度 */
    private Integer fieldLenStart;

    /** 结束 数据长度 */
    private Integer fieldLenEnd;

    /** 增加 数据长度 */
    private Integer fieldLenIncrement;

    /** 数据长度列表 */
    private List <Integer> fieldLenList;

    /** 数据长度排除列表 */
    private List <Integer> fieldLenNotList;

    /** 开始 是否允许为空，(0.否,1.是) */
    private Integer fieldNullStart;

    /** 结束 是否允许为空，(0.否,1.是) */
    private Integer fieldNullEnd;

    /** 增加 是否允许为空，(0.否,1.是) */
    private Integer fieldNullIncrement;

    /** 是否允许为空，(0.否,1.是)列表 */
    private List <Integer> fieldNullList;

    /** 是否允许为空，(0.否,1.是)排除列表 */
    private List <Integer> fieldNullNotList;

    /** 开始 字段是否列表显示(0.否,1.是) */
    private Integer isListStart;

    /** 结束 字段是否列表显示(0.否,1.是) */
    private Integer isListEnd;

    /** 增加 字段是否列表显示(0.否,1.是) */
    private Integer isListIncrement;

    /** 字段是否列表显示(0.否,1.是)列表 */
    private List <Integer> isListList;

    /** 字段是否列表显示(0.否,1.是)排除列表 */
    private List <Integer> isListNotList;

    /** 开始 排序号 */
    private Integer fieldOrderNoStart;

    /** 结束 排序号 */
    private Integer fieldOrderNoEnd;

    /** 增加 排序号 */
    private Integer fieldOrderNoIncrement;

    /** 排序号列表 */
    private List <Integer> fieldOrderNoList;

    /** 排序号排除列表 */
    private List <Integer> fieldOrderNoNotList;

    /** 备注 */
    private List<String> remarkList;

    /** 备注排除列表 */
    private List <String> remarkNotList;
    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 创建人id */
    private Long createUserIdStart;

    /** 结束 创建人id */
    private Long createUserIdEnd;

    /** 增加 创建人id */
    private Long createUserIdIncrement;

    /** 创建人id列表 */
    private List <Long> createUserIdList;

    /** 创建人id排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** 开始 更新人id */
    private Long updateUserIdStart;

    /** 结束 更新人id */
    private Long updateUserIdEnd;

    /** 增加 更新人id */
    private Long updateUserIdIncrement;

    /** 更新人id列表 */
    private List <Long> updateUserIdList;

    /** 更新人id排除列表 */
    private List <Long> updateUserIdNotList;

    /** 开始 事项id */
    private Long matterIdStart;

    /** 结束 事项id */
    private Long matterIdEnd;

    /** 增加 事项id */
    private Long matterIdIncrement;

    /** 事项id列表 */
    private List <Long> matterIdList;

    /** 事项id排除列表 */
    private List <Long> matterIdNotList;

    /** 事项名称 */
    private List<String> matterNameList;

    /** 事项名称排除列表 */
    private List <String> matterNameNotList;
    /** 开始 材料id */
    private Long materialIdStart;

    /** 结束 材料id */
    private Long materialIdEnd;

    /** 增加 材料id */
    private Long materialIdIncrement;

    /** 材料id列表 */
    private List <Long> materialIdList;

    /** 材料id排除列表 */
    private List <Long> materialIdNotList;

    /** 材料名称 */
    private List<String> materialNameList;

    /** 材料名称排除列表 */
    private List <String> materialNameNotList;
    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<DatumInfoFieldQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<DatumInfoFieldQuery> andConditionList;

    public DatumInfoFieldQuery(){}

    /**
     * 获取 开始 主键ID，主键，自增长
     * @return idStart
     */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
     * 设置 开始 主键ID，主键，自增长
     * @param idStart
     */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
     * 获取 结束 主键ID，主键，自增长
     * @return $idEnd
     */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
     * 设置 结束 主键ID，主键，自增长
     * @param idEnd
     */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
     * 获取 增加 主键ID，主键，自增长
     * @return idIncrement
     */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
     * 设置 增加 主键ID，主键，自增长
     * @param idIncrement
     */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
     * 获取 主键ID，主键，自增长
     * @return idList
     */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
     * 设置 主键ID，主键，自增长
     * @param idList
     */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
     * 获取 主键ID，主键，自增长
     * @return idNotList
     */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
     * 设置 主键ID，主键，自增长
     * @param idNotList
     */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
     * 获取 微信openid
     * @return openIdList
     */
    public List<String> getOpenIdList(){
        return this.openIdList;
    }

    /**
     * 设置 微信openid
     * @param openIdList
     */
    public void setOpenIdList(List<String> openIdList){
        this.openIdList = openIdList;
    }

    /**
     * 获取 微信openid
     * @return openIdNotList
     */
    public List<String> getOpenIdNotList(){
        return this.openIdNotList;
    }

    /**
     * 设置 微信openid
     * @param openIdNotList
     */
    public void setOpenIdNotList(List<String> openIdNotList){
        this.openIdNotList = openIdNotList;
    }

    /**
     * 获取 身份证号码
     * @return idCardList
     */
    public List<String> getIdCardList(){
        return this.idCardList;
    }

    /**
     * 设置 身份证号码
     * @param idCardList
     */
    public void setIdCardList(List<String> idCardList){
        this.idCardList = idCardList;
    }

    /**
     * 获取 身份证号码
     * @return idCardNotList
     */
    public List<String> getIdCardNotList(){
        return this.idCardNotList;
    }

    /**
     * 设置 身份证号码
     * @param idCardNotList
     */
    public void setIdCardNotList(List<String> idCardNotList){
        this.idCardNotList = idCardNotList;
    }

    /**
     * 获取 手机号码
     * @return mobileList
     */
    public List<String> getMobileList(){
        return this.mobileList;
    }

    /**
     * 设置 手机号码
     * @param mobileList
     */
    public void setMobileList(List<String> mobileList){
        this.mobileList = mobileList;
    }

    /**
     * 获取 手机号码
     * @return mobileNotList
     */
    public List<String> getMobileNotList(){
        return this.mobileNotList;
    }

    /**
     * 设置 手机号码
     * @param mobileNotList
     */
    public void setMobileNotList(List<String> mobileNotList){
        this.mobileNotList = mobileNotList;
    }

    /**
     * 获取 开始 填单打印id
     * @return datumPrintIdStart
     */
    public Long getDatumPrintIdStart(){
        return this.datumPrintIdStart;
    }

    /**
     * 设置 开始 填单打印id
     * @param datumPrintIdStart
     */
    public void setDatumPrintIdStart(Long datumPrintIdStart){
        this.datumPrintIdStart = datumPrintIdStart;
    }

    /**
     * 获取 结束 填单打印id
     * @return $datumPrintIdEnd
     */
    public Long getDatumPrintIdEnd(){
        return this.datumPrintIdEnd;
    }

    /**
     * 设置 结束 填单打印id
     * @param datumPrintIdEnd
     */
    public void setDatumPrintIdEnd(Long datumPrintIdEnd){
        this.datumPrintIdEnd = datumPrintIdEnd;
    }

    /**
     * 获取 增加 填单打印id
     * @return datumPrintIdIncrement
     */
    public Long getDatumPrintIdIncrement(){
        return this.datumPrintIdIncrement;
    }

    /**
     * 设置 增加 填单打印id
     * @param datumPrintIdIncrement
     */
    public void setDatumPrintIdIncrement(Long datumPrintIdIncrement){
        this.datumPrintIdIncrement = datumPrintIdIncrement;
    }

    /**
     * 获取 填单打印id
     * @return datumPrintIdList
     */
    public List<Long> getDatumPrintIdList(){
        return this.datumPrintIdList;
    }

    /**
     * 设置 填单打印id
     * @param datumPrintIdList
     */
    public void setDatumPrintIdList(List<Long> datumPrintIdList){
        this.datumPrintIdList = datumPrintIdList;
    }

    /**
     * 获取 填单打印id
     * @return datumPrintIdNotList
     */
    public List<Long> getDatumPrintIdNotList(){
        return this.datumPrintIdNotList;
    }

    /**
     * 设置 填单打印id
     * @param datumPrintIdNotList
     */
    public void setDatumPrintIdNotList(List<Long> datumPrintIdNotList){
        this.datumPrintIdNotList = datumPrintIdNotList;
    }


    /**
     * 获取 字段编码
     * @return fieldCodeList
     */
    public List<String> getFieldCodeList(){
        return this.fieldCodeList;
    }

    /**
     * 设置 字段编码
     * @param fieldCodeList
     */
    public void setFieldCodeList(List<String> fieldCodeList){
        this.fieldCodeList = fieldCodeList;
    }

    /**
     * 获取 字段编码
     * @return fieldCodeNotList
     */
    public List<String> getFieldCodeNotList(){
        return this.fieldCodeNotList;
    }

    /**
     * 设置 字段编码
     * @param fieldCodeNotList
     */
    public void setFieldCodeNotList(List<String> fieldCodeNotList){
        this.fieldCodeNotList = fieldCodeNotList;
    }

    /**
     * 获取 字段名称
     * @return fieldNameList
     */
    public List<String> getFieldNameList(){
        return this.fieldNameList;
    }

    /**
     * 设置 字段名称
     * @param fieldNameList
     */
    public void setFieldNameList(List<String> fieldNameList){
        this.fieldNameList = fieldNameList;
    }

    /**
     * 获取 字段名称
     * @return fieldNameNotList
     */
    public List<String> getFieldNameNotList(){
        return this.fieldNameNotList;
    }

    /**
     * 设置 字段名称
     * @param fieldNameNotList
     */
    public void setFieldNameNotList(List<String> fieldNameNotList){
        this.fieldNameNotList = fieldNameNotList;
    }

    /**
     * 获取 字段类型
     * @return fieldTypeList
     */
    public List<String> getFieldTypeList(){
        return this.fieldTypeList;
    }

    /**
     * 设置 字段类型
     * @param fieldTypeList
     */
    public void setFieldTypeList(List<String> fieldTypeList){
        this.fieldTypeList = fieldTypeList;
    }

    /**
     * 获取 字段类型
     * @return fieldTypeNotList
     */
    public List<String> getFieldTypeNotList(){
        return this.fieldTypeNotList;
    }

    /**
     * 设置 字段类型
     * @param fieldTypeNotList
     */
    public void setFieldTypeNotList(List<String> fieldTypeNotList){
        this.fieldTypeNotList = fieldTypeNotList;
    }

    /**
     * 获取 字段类型值
     * @return fieldTypeValueList
     */
    public List<String> getFieldTypeValueList(){
        return this.fieldTypeValueList;
    }

    /**
     * 设置 字段类型值
     * @param fieldTypeValueList
     */
    public void setFieldTypeValueList(List<String> fieldTypeValueList){
        this.fieldTypeValueList = fieldTypeValueList;
    }

    /**
     * 获取 字段类型值
     * @return fieldTypeValueNotList
     */
    public List<String> getFieldTypeValueNotList(){
        return this.fieldTypeValueNotList;
    }

    /**
     * 设置 字段类型值
     * @param fieldTypeValueNotList
     */
    public void setFieldTypeValueNotList(List<String> fieldTypeValueNotList){
        this.fieldTypeValueNotList = fieldTypeValueNotList;
    }

    /**
     * 获取 数据类型
     * @return dataTypeList
     */
    public List<String> getDataTypeList(){
        return this.dataTypeList;
    }

    /**
     * 设置 数据类型
     * @param dataTypeList
     */
    public void setDataTypeList(List<String> dataTypeList){
        this.dataTypeList = dataTypeList;
    }

    /**
     * 获取 数据类型
     * @return dataTypeNotList
     */
    public List<String> getDataTypeNotList(){
        return this.dataTypeNotList;
    }

    /**
     * 设置 数据类型
     * @param dataTypeNotList
     */
    public void setDataTypeNotList(List<String> dataTypeNotList){
        this.dataTypeNotList = dataTypeNotList;
    }

    /**
     * 获取 字段值
     * @return fieldValueList
     */
    public List<String> getFieldValueList(){
        return this.fieldValueList;
    }

    /**
     * 设置 字段值
     * @param fieldValueList
     */
    public void setFieldValueList(List<String> fieldValueList){
        this.fieldValueList = fieldValueList;
    }

    /**
     * 获取 字段值
     * @return fieldValueNotList
     */
    public List<String> getFieldValueNotList(){
        return this.fieldValueNotList;
    }

    /**
     * 设置 字段值
     * @param fieldValueNotList
     */
    public void setFieldValueNotList(List<String> fieldValueNotList){
        this.fieldValueNotList = fieldValueNotList;
    }

    /**
     * 获取 字段默认值
     * @return defaultValueList
     */
    public List<String> getDefaultValueList(){
        return this.defaultValueList;
    }

    /**
     * 设置 字段默认值
     * @param defaultValueList
     */
    public void setDefaultValueList(List<String> defaultValueList){
        this.defaultValueList = defaultValueList;
    }

    /**
     * 获取 字段默认值
     * @return defaultValueNotList
     */
    public List<String> getDefaultValueNotList(){
        return this.defaultValueNotList;
    }

    /**
     * 设置 字段默认值
     * @param defaultValueNotList
     */
    public void setDefaultValueNotList(List<String> defaultValueNotList){
        this.defaultValueNotList = defaultValueNotList;
    }

    /**
     * 获取 开始 数据长度
     * @return fieldLenStart
     */
    public Integer getFieldLenStart(){
        return this.fieldLenStart;
    }

    /**
     * 设置 开始 数据长度
     * @param fieldLenStart
     */
    public void setFieldLenStart(Integer fieldLenStart){
        this.fieldLenStart = fieldLenStart;
    }

    /**
     * 获取 结束 数据长度
     * @return $fieldLenEnd
     */
    public Integer getFieldLenEnd(){
        return this.fieldLenEnd;
    }

    /**
     * 设置 结束 数据长度
     * @param fieldLenEnd
     */
    public void setFieldLenEnd(Integer fieldLenEnd){
        this.fieldLenEnd = fieldLenEnd;
    }

    /**
     * 获取 增加 数据长度
     * @return fieldLenIncrement
     */
    public Integer getFieldLenIncrement(){
        return this.fieldLenIncrement;
    }

    /**
     * 设置 增加 数据长度
     * @param fieldLenIncrement
     */
    public void setFieldLenIncrement(Integer fieldLenIncrement){
        this.fieldLenIncrement = fieldLenIncrement;
    }

    /**
     * 获取 数据长度
     * @return fieldLenList
     */
    public List<Integer> getFieldLenList(){
        return this.fieldLenList;
    }

    /**
     * 设置 数据长度
     * @param fieldLenList
     */
    public void setFieldLenList(List<Integer> fieldLenList){
        this.fieldLenList = fieldLenList;
    }

    /**
     * 获取 数据长度
     * @return fieldLenNotList
     */
    public List<Integer> getFieldLenNotList(){
        return this.fieldLenNotList;
    }

    /**
     * 设置 数据长度
     * @param fieldLenNotList
     */
    public void setFieldLenNotList(List<Integer> fieldLenNotList){
        this.fieldLenNotList = fieldLenNotList;
    }


    /**
     * 获取 开始 是否允许为空，(0.否,1.是)
     * @return fieldNullStart
     */
    public Integer getFieldNullStart(){
        return this.fieldNullStart;
    }

    /**
     * 设置 开始 是否允许为空，(0.否,1.是)
     * @param fieldNullStart
     */
    public void setFieldNullStart(Integer fieldNullStart){
        this.fieldNullStart = fieldNullStart;
    }

    /**
     * 获取 结束 是否允许为空，(0.否,1.是)
     * @return $fieldNullEnd
     */
    public Integer getFieldNullEnd(){
        return this.fieldNullEnd;
    }

    /**
     * 设置 结束 是否允许为空，(0.否,1.是)
     * @param fieldNullEnd
     */
    public void setFieldNullEnd(Integer fieldNullEnd){
        this.fieldNullEnd = fieldNullEnd;
    }

    /**
     * 获取 增加 是否允许为空，(0.否,1.是)
     * @return fieldNullIncrement
     */
    public Integer getFieldNullIncrement(){
        return this.fieldNullIncrement;
    }

    /**
     * 设置 增加 是否允许为空，(0.否,1.是)
     * @param fieldNullIncrement
     */
    public void setFieldNullIncrement(Integer fieldNullIncrement){
        this.fieldNullIncrement = fieldNullIncrement;
    }

    /**
     * 获取 是否允许为空，(0.否,1.是)
     * @return fieldNullList
     */
    public List<Integer> getFieldNullList(){
        return this.fieldNullList;
    }

    /**
     * 设置 是否允许为空，(0.否,1.是)
     * @param fieldNullList
     */
    public void setFieldNullList(List<Integer> fieldNullList){
        this.fieldNullList = fieldNullList;
    }

    /**
     * 获取 是否允许为空，(0.否,1.是)
     * @return fieldNullNotList
     */
    public List<Integer> getFieldNullNotList(){
        return this.fieldNullNotList;
    }

    /**
     * 设置 是否允许为空，(0.否,1.是)
     * @param fieldNullNotList
     */
    public void setFieldNullNotList(List<Integer> fieldNullNotList){
        this.fieldNullNotList = fieldNullNotList;
    }


    /**
     * 获取 开始 字段是否列表显示(0.否,1.是)
     * @return isListStart
     */
    public Integer getIsListStart(){
        return this.isListStart;
    }

    /**
     * 设置 开始 字段是否列表显示(0.否,1.是)
     * @param isListStart
     */
    public void setIsListStart(Integer isListStart){
        this.isListStart = isListStart;
    }

    /**
     * 获取 结束 字段是否列表显示(0.否,1.是)
     * @return $isListEnd
     */
    public Integer getIsListEnd(){
        return this.isListEnd;
    }

    /**
     * 设置 结束 字段是否列表显示(0.否,1.是)
     * @param isListEnd
     */
    public void setIsListEnd(Integer isListEnd){
        this.isListEnd = isListEnd;
    }

    /**
     * 获取 增加 字段是否列表显示(0.否,1.是)
     * @return isListIncrement
     */
    public Integer getIsListIncrement(){
        return this.isListIncrement;
    }

    /**
     * 设置 增加 字段是否列表显示(0.否,1.是)
     * @param isListIncrement
     */
    public void setIsListIncrement(Integer isListIncrement){
        this.isListIncrement = isListIncrement;
    }

    /**
     * 获取 字段是否列表显示(0.否,1.是)
     * @return isListList
     */
    public List<Integer> getIsListList(){
        return this.isListList;
    }

    /**
     * 设置 字段是否列表显示(0.否,1.是)
     * @param isListList
     */
    public void setIsListList(List<Integer> isListList){
        this.isListList = isListList;
    }

    /**
     * 获取 字段是否列表显示(0.否,1.是)
     * @return isListNotList
     */
    public List<Integer> getIsListNotList(){
        return this.isListNotList;
    }

    /**
     * 设置 字段是否列表显示(0.否,1.是)
     * @param isListNotList
     */
    public void setIsListNotList(List<Integer> isListNotList){
        this.isListNotList = isListNotList;
    }


    /**
     * 获取 开始 排序号
     * @return fieldOrderNoStart
     */
    public Integer getFieldOrderNoStart(){
        return this.fieldOrderNoStart;
    }

    /**
     * 设置 开始 排序号
     * @param fieldOrderNoStart
     */
    public void setFieldOrderNoStart(Integer fieldOrderNoStart){
        this.fieldOrderNoStart = fieldOrderNoStart;
    }

    /**
     * 获取 结束 排序号
     * @return $fieldOrderNoEnd
     */
    public Integer getFieldOrderNoEnd(){
        return this.fieldOrderNoEnd;
    }

    /**
     * 设置 结束 排序号
     * @param fieldOrderNoEnd
     */
    public void setFieldOrderNoEnd(Integer fieldOrderNoEnd){
        this.fieldOrderNoEnd = fieldOrderNoEnd;
    }

    /**
     * 获取 增加 排序号
     * @return fieldOrderNoIncrement
     */
    public Integer getFieldOrderNoIncrement(){
        return this.fieldOrderNoIncrement;
    }

    /**
     * 设置 增加 排序号
     * @param fieldOrderNoIncrement
     */
    public void setFieldOrderNoIncrement(Integer fieldOrderNoIncrement){
        this.fieldOrderNoIncrement = fieldOrderNoIncrement;
    }

    /**
     * 获取 排序号
     * @return fieldOrderNoList
     */
    public List<Integer> getFieldOrderNoList(){
        return this.fieldOrderNoList;
    }

    /**
     * 设置 排序号
     * @param fieldOrderNoList
     */
    public void setFieldOrderNoList(List<Integer> fieldOrderNoList){
        this.fieldOrderNoList = fieldOrderNoList;
    }

    /**
     * 获取 排序号
     * @return fieldOrderNoNotList
     */
    public List<Integer> getFieldOrderNoNotList(){
        return this.fieldOrderNoNotList;
    }

    /**
     * 设置 排序号
     * @param fieldOrderNoNotList
     */
    public void setFieldOrderNoNotList(List<Integer> fieldOrderNoNotList){
        this.fieldOrderNoNotList = fieldOrderNoNotList;
    }


    /**
     * 获取 备注
     * @return remarkList
     */
    public List<String> getRemarkList(){
        return this.remarkList;
    }

    /**
     * 设置 备注
     * @param remarkList
     */
    public void setRemarkList(List<String> remarkList){
        this.remarkList = remarkList;
    }

    /**
     * 获取 备注
     * @return remarkNotList
     */
    public List<String> getRemarkNotList(){
        return this.remarkNotList;
    }

    /**
     * 设置 备注
     * @param remarkNotList
     */
    public void setRemarkNotList(List<String> remarkNotList){
        this.remarkNotList = remarkNotList;
    }

    /**
     * 获取 开始 创建时间
     * @return createTimeStart
     */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
     * 设置 开始 创建时间
     * @param createTimeStart
     */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
     * 获取 结束 创建时间
     * @return createTimeEnd
     */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
     * 设置 结束 创建时间
     * @param createTimeEnd
     */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
     * 获取 开始 创建人id
     * @return createUserIdStart
     */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
     * 设置 开始 创建人id
     * @param createUserIdStart
     */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
     * 获取 结束 创建人id
     * @return $createUserIdEnd
     */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
     * 设置 结束 创建人id
     * @param createUserIdEnd
     */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
     * 获取 增加 创建人id
     * @return createUserIdIncrement
     */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
     * 设置 增加 创建人id
     * @param createUserIdIncrement
     */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
     * 获取 创建人id
     * @return createUserIdList
     */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
     * 设置 创建人id
     * @param createUserIdList
     */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
     * 获取 创建人id
     * @return createUserIdNotList
     */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
     * 设置 创建人id
     * @param createUserIdNotList
     */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
     * 获取 开始 更新时间
     * @return updateTimeStart
     */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
     * 设置 开始 更新时间
     * @param updateTimeStart
     */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
     * 获取 结束 更新时间
     * @return updateTimeEnd
     */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
     * 设置 结束 更新时间
     * @param updateTimeEnd
     */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
     * 获取 开始 更新人id
     * @return updateUserIdStart
     */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
     * 设置 开始 更新人id
     * @param updateUserIdStart
     */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
     * 获取 结束 更新人id
     * @return $updateUserIdEnd
     */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
     * 设置 结束 更新人id
     * @param updateUserIdEnd
     */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
     * 获取 增加 更新人id
     * @return updateUserIdIncrement
     */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
     * 设置 增加 更新人id
     * @param updateUserIdIncrement
     */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
     * 获取 更新人id
     * @return updateUserIdList
     */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
     * 设置 更新人id
     * @param updateUserIdList
     */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
     * 获取 更新人id
     * @return updateUserIdNotList
     */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
     * 设置 更新人id
     * @param updateUserIdNotList
     */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
     * 获取 开始 事项id
     * @return matterIdStart
     */
    public Long getMatterIdStart(){
        return this.matterIdStart;
    }

    /**
     * 设置 开始 事项id
     * @param matterIdStart
     */
    public void setMatterIdStart(Long matterIdStart){
        this.matterIdStart = matterIdStart;
    }

    /**
     * 获取 结束 事项id
     * @return $matterIdEnd
     */
    public Long getMatterIdEnd(){
        return this.matterIdEnd;
    }

    /**
     * 设置 结束 事项id
     * @param matterIdEnd
     */
    public void setMatterIdEnd(Long matterIdEnd){
        this.matterIdEnd = matterIdEnd;
    }

    /**
     * 获取 增加 事项id
     * @return matterIdIncrement
     */
    public Long getMatterIdIncrement(){
        return this.matterIdIncrement;
    }

    /**
     * 设置 增加 事项id
     * @param matterIdIncrement
     */
    public void setMatterIdIncrement(Long matterIdIncrement){
        this.matterIdIncrement = matterIdIncrement;
    }

    /**
     * 获取 事项id
     * @return matterIdList
     */
    public List<Long> getMatterIdList(){
        return this.matterIdList;
    }

    /**
     * 设置 事项id
     * @param matterIdList
     */
    public void setMatterIdList(List<Long> matterIdList){
        this.matterIdList = matterIdList;
    }

    /**
     * 获取 事项id
     * @return matterIdNotList
     */
    public List<Long> getMatterIdNotList(){
        return this.matterIdNotList;
    }

    /**
     * 设置 事项id
     * @param matterIdNotList
     */
    public void setMatterIdNotList(List<Long> matterIdNotList){
        this.matterIdNotList = matterIdNotList;
    }


    /**
     * 获取 事项名称
     * @return matterNameList
     */
    public List<String> getMatterNameList(){
        return this.matterNameList;
    }

    /**
     * 设置 事项名称
     * @param matterNameList
     */
    public void setMatterNameList(List<String> matterNameList){
        this.matterNameList = matterNameList;
    }

    /**
     * 获取 事项名称
     * @return matterNameNotList
     */
    public List<String> getMatterNameNotList(){
        return this.matterNameNotList;
    }

    /**
     * 设置 事项名称
     * @param matterNameNotList
     */
    public void setMatterNameNotList(List<String> matterNameNotList){
        this.matterNameNotList = matterNameNotList;
    }

    /**
     * 获取 开始 材料id
     * @return materialIdStart
     */
    public Long getMaterialIdStart(){
        return this.materialIdStart;
    }

    /**
     * 设置 开始 材料id
     * @param materialIdStart
     */
    public void setMaterialIdStart(Long materialIdStart){
        this.materialIdStart = materialIdStart;
    }

    /**
     * 获取 结束 材料id
     * @return $materialIdEnd
     */
    public Long getMaterialIdEnd(){
        return this.materialIdEnd;
    }

    /**
     * 设置 结束 材料id
     * @param materialIdEnd
     */
    public void setMaterialIdEnd(Long materialIdEnd){
        this.materialIdEnd = materialIdEnd;
    }

    /**
     * 获取 增加 材料id
     * @return materialIdIncrement
     */
    public Long getMaterialIdIncrement(){
        return this.materialIdIncrement;
    }

    /**
     * 设置 增加 材料id
     * @param materialIdIncrement
     */
    public void setMaterialIdIncrement(Long materialIdIncrement){
        this.materialIdIncrement = materialIdIncrement;
    }

    /**
     * 获取 材料id
     * @return materialIdList
     */
    public List<Long> getMaterialIdList(){
        return this.materialIdList;
    }

    /**
     * 设置 材料id
     * @param materialIdList
     */
    public void setMaterialIdList(List<Long> materialIdList){
        this.materialIdList = materialIdList;
    }

    /**
     * 获取 材料id
     * @return materialIdNotList
     */
    public List<Long> getMaterialIdNotList(){
        return this.materialIdNotList;
    }

    /**
     * 设置 材料id
     * @param materialIdNotList
     */
    public void setMaterialIdNotList(List<Long> materialIdNotList){
        this.materialIdNotList = materialIdNotList;
    }


    /**
     * 获取 材料名称
     * @return materialNameList
     */
    public List<String> getMaterialNameList(){
        return this.materialNameList;
    }

    /**
     * 设置 材料名称
     * @param materialNameList
     */
    public void setMaterialNameList(List<String> materialNameList){
        this.materialNameList = materialNameList;
    }

    /**
     * 获取 材料名称
     * @return materialNameNotList
     */
    public List<String> getMaterialNameNotList(){
        return this.materialNameNotList;
    }

    /**
     * 设置 材料名称
     * @param materialNameNotList
     */
    public void setMaterialNameNotList(List<String> materialNameNotList){
        this.materialNameNotList = materialNameNotList;
    }

    /**
     * 设置  主键ID，主键，自增长
     * @param id
     */
    public DatumInfoFieldQuery id(Long id){
        setId(id);
        return this;
    }

    /**
     * 设置 开始 主键ID，主键，自增长
     * @param idStart
     */
    public DatumInfoFieldQuery idStart(Long idStart){
        this.idStart = idStart;
        return this;
    }

    /**
     * 设置 结束 主键ID，主键，自增长
     * @param idEnd
     */
    public DatumInfoFieldQuery idEnd(Long idEnd){
        this.idEnd = idEnd;
        return this;
    }

    /**
     * 设置 增加 主键ID，主键，自增长
     * @param idIncrement
     */
    public DatumInfoFieldQuery idIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
        return this;
    }

    /**
     * 设置 主键ID，主键，自增长
     * @param idList
     */
    public DatumInfoFieldQuery idList(List<Long> idList){
        this.idList = idList;
        return this;
    }

    /**
     * 设置 主键ID，主键，自增长
     * @param idNotList
     */
    public DatumInfoFieldQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
    }


    /**
     * 设置 微信openid
     * @param openId
     */
    public DatumInfoFieldQuery openId(String openId){
        setOpenId(openId);
        return this;
    }

    /**
     * 设置 微信openid
     * @param openIdList
     */
    public DatumInfoFieldQuery openIdList(List<String> openIdList){
        this.openIdList = openIdList;
        return this;
    }


    /**
     * 设置 身份证号码
     * @param idCard
     */
    public DatumInfoFieldQuery idCard(String idCard){
        setIdCard(idCard);
        return this;
    }

    /**
     * 设置 身份证号码
     * @param idCardList
     */
    public DatumInfoFieldQuery idCardList(List<String> idCardList){
        this.idCardList = idCardList;
        return this;
    }


    /**
     * 设置 手机号码
     * @param mobile
     */
    public DatumInfoFieldQuery mobile(String mobile){
        setMobile(mobile);
        return this;
    }

    /**
     * 设置 手机号码
     * @param mobileList
     */
    public DatumInfoFieldQuery mobileList(List<String> mobileList){
        this.mobileList = mobileList;
        return this;
    }

    /**
     * 设置  填单打印id
     * @param datumPrintId
     */
    public DatumInfoFieldQuery datumPrintId(Long datumPrintId){
        setDatumPrintId(datumPrintId);
        return this;
    }

    /**
     * 设置 开始 填单打印id
     * @param datumPrintIdStart
     */
    public DatumInfoFieldQuery datumPrintIdStart(Long datumPrintIdStart){
        this.datumPrintIdStart = datumPrintIdStart;
        return this;
    }

    /**
     * 设置 结束 填单打印id
     * @param datumPrintIdEnd
     */
    public DatumInfoFieldQuery datumPrintIdEnd(Long datumPrintIdEnd){
        this.datumPrintIdEnd = datumPrintIdEnd;
        return this;
    }

    /**
     * 设置 增加 填单打印id
     * @param datumPrintIdIncrement
     */
    public DatumInfoFieldQuery datumPrintIdIncrement(Long datumPrintIdIncrement){
        this.datumPrintIdIncrement = datumPrintIdIncrement;
        return this;
    }

    /**
     * 设置 填单打印id
     * @param datumPrintIdList
     */
    public DatumInfoFieldQuery datumPrintIdList(List<Long> datumPrintIdList){
        this.datumPrintIdList = datumPrintIdList;
        return this;
    }

    /**
     * 设置 填单打印id
     * @param datumPrintIdNotList
     */
    public DatumInfoFieldQuery datumPrintIdNotList(List<Long> datumPrintIdNotList){
        this.datumPrintIdNotList = datumPrintIdNotList;
        return this;
    }


    /**
     * 设置 字段编码
     * @param fieldCode
     */
    public DatumInfoFieldQuery fieldCode(String fieldCode){
        setFieldCode(fieldCode);
        return this;
    }

    /**
     * 设置 字段编码
     * @param fieldCodeList
     */
    public DatumInfoFieldQuery fieldCodeList(List<String> fieldCodeList){
        this.fieldCodeList = fieldCodeList;
        return this;
    }


    /**
     * 设置 字段名称
     * @param fieldName
     */
    public DatumInfoFieldQuery fieldName(String fieldName){
        setFieldName(fieldName);
        return this;
    }

    /**
     * 设置 字段名称
     * @param fieldNameList
     */
    public DatumInfoFieldQuery fieldNameList(List<String> fieldNameList){
        this.fieldNameList = fieldNameList;
        return this;
    }


    /**
     * 设置 字段类型
     * @param fieldType
     */
    public DatumInfoFieldQuery fieldType(String fieldType){
        setFieldType(fieldType);
        return this;
    }

    /**
     * 设置 字段类型
     * @param fieldTypeList
     */
    public DatumInfoFieldQuery fieldTypeList(List<String> fieldTypeList){
        this.fieldTypeList = fieldTypeList;
        return this;
    }


    /**
     * 设置 字段类型值
     * @param fieldTypeValue
     */
    public DatumInfoFieldQuery fieldTypeValue(String fieldTypeValue){
        setFieldTypeValue(fieldTypeValue);
        return this;
    }

    /**
     * 设置 字段类型值
     * @param fieldTypeValueList
     */
    public DatumInfoFieldQuery fieldTypeValueList(List<String> fieldTypeValueList){
        this.fieldTypeValueList = fieldTypeValueList;
        return this;
    }


    /**
     * 设置 数据类型
     * @param dataType
     */
    public DatumInfoFieldQuery dataType(String dataType){
        setDataType(dataType);
        return this;
    }

    /**
     * 设置 数据类型
     * @param dataTypeList
     */
    public DatumInfoFieldQuery dataTypeList(List<String> dataTypeList){
        this.dataTypeList = dataTypeList;
        return this;
    }


    /**
     * 设置 字段值
     * @param fieldValue
     */
    public DatumInfoFieldQuery fieldValue(String fieldValue){
        setFieldValue(fieldValue);
        return this;
    }

    /**
     * 设置 字段值
     * @param fieldValueList
     */
    public DatumInfoFieldQuery fieldValueList(List<String> fieldValueList){
        this.fieldValueList = fieldValueList;
        return this;
    }


    /**
     * 设置 字段默认值
     * @param defaultValue
     */
    public DatumInfoFieldQuery defaultValue(String defaultValue){
        setDefaultValue(defaultValue);
        return this;
    }

    /**
     * 设置 字段默认值
     * @param defaultValueList
     */
    public DatumInfoFieldQuery defaultValueList(List<String> defaultValueList){
        this.defaultValueList = defaultValueList;
        return this;
    }

    /**
     * 设置  数据长度
     * @param fieldLen
     */
    public DatumInfoFieldQuery fieldLen(Integer fieldLen){
        setFieldLen(fieldLen);
        return this;
    }

    /**
     * 设置 开始 数据长度
     * @param fieldLenStart
     */
    public DatumInfoFieldQuery fieldLenStart(Integer fieldLenStart){
        this.fieldLenStart = fieldLenStart;
        return this;
    }

    /**
     * 设置 结束 数据长度
     * @param fieldLenEnd
     */
    public DatumInfoFieldQuery fieldLenEnd(Integer fieldLenEnd){
        this.fieldLenEnd = fieldLenEnd;
        return this;
    }

    /**
     * 设置 增加 数据长度
     * @param fieldLenIncrement
     */
    public DatumInfoFieldQuery fieldLenIncrement(Integer fieldLenIncrement){
        this.fieldLenIncrement = fieldLenIncrement;
        return this;
    }

    /**
     * 设置 数据长度
     * @param fieldLenList
     */
    public DatumInfoFieldQuery fieldLenList(List<Integer> fieldLenList){
        this.fieldLenList = fieldLenList;
        return this;
    }

    /**
     * 设置 数据长度
     * @param fieldLenNotList
     */
    public DatumInfoFieldQuery fieldLenNotList(List<Integer> fieldLenNotList){
        this.fieldLenNotList = fieldLenNotList;
        return this;
    }

    /**
     * 设置  是否允许为空，(0.否,1.是)
     * @param fieldNull
     */
    public DatumInfoFieldQuery fieldNull(Integer fieldNull){
        setFieldNull(fieldNull);
        return this;
    }

    /**
     * 设置 开始 是否允许为空，(0.否,1.是)
     * @param fieldNullStart
     */
    public DatumInfoFieldQuery fieldNullStart(Integer fieldNullStart){
        this.fieldNullStart = fieldNullStart;
        return this;
    }

    /**
     * 设置 结束 是否允许为空，(0.否,1.是)
     * @param fieldNullEnd
     */
    public DatumInfoFieldQuery fieldNullEnd(Integer fieldNullEnd){
        this.fieldNullEnd = fieldNullEnd;
        return this;
    }

    /**
     * 设置 增加 是否允许为空，(0.否,1.是)
     * @param fieldNullIncrement
     */
    public DatumInfoFieldQuery fieldNullIncrement(Integer fieldNullIncrement){
        this.fieldNullIncrement = fieldNullIncrement;
        return this;
    }

    /**
     * 设置 是否允许为空，(0.否,1.是)
     * @param fieldNullList
     */
    public DatumInfoFieldQuery fieldNullList(List<Integer> fieldNullList){
        this.fieldNullList = fieldNullList;
        return this;
    }

    /**
     * 设置 是否允许为空，(0.否,1.是)
     * @param fieldNullNotList
     */
    public DatumInfoFieldQuery fieldNullNotList(List<Integer> fieldNullNotList){
        this.fieldNullNotList = fieldNullNotList;
        return this;
    }

    /**
     * 设置  字段是否列表显示(0.否,1.是)
     * @param isList
     */
    public DatumInfoFieldQuery isList(Integer isList){
        setIsList(isList);
        return this;
    }

    /**
     * 设置 开始 字段是否列表显示(0.否,1.是)
     * @param isListStart
     */
    public DatumInfoFieldQuery isListStart(Integer isListStart){
        this.isListStart = isListStart;
        return this;
    }

    /**
     * 设置 结束 字段是否列表显示(0.否,1.是)
     * @param isListEnd
     */
    public DatumInfoFieldQuery isListEnd(Integer isListEnd){
        this.isListEnd = isListEnd;
        return this;
    }

    /**
     * 设置 增加 字段是否列表显示(0.否,1.是)
     * @param isListIncrement
     */
    public DatumInfoFieldQuery isListIncrement(Integer isListIncrement){
        this.isListIncrement = isListIncrement;
        return this;
    }

    /**
     * 设置 字段是否列表显示(0.否,1.是)
     * @param isListList
     */
    public DatumInfoFieldQuery isListList(List<Integer> isListList){
        this.isListList = isListList;
        return this;
    }

    /**
     * 设置 字段是否列表显示(0.否,1.是)
     * @param isListNotList
     */
    public DatumInfoFieldQuery isListNotList(List<Integer> isListNotList){
        this.isListNotList = isListNotList;
        return this;
    }

    /**
     * 设置  排序号
     * @param fieldOrderNo
     */
    public DatumInfoFieldQuery fieldOrderNo(Integer fieldOrderNo){
        setFieldOrderNo(fieldOrderNo);
        return this;
    }

    /**
     * 设置 开始 排序号
     * @param fieldOrderNoStart
     */
    public DatumInfoFieldQuery fieldOrderNoStart(Integer fieldOrderNoStart){
        this.fieldOrderNoStart = fieldOrderNoStart;
        return this;
    }

    /**
     * 设置 结束 排序号
     * @param fieldOrderNoEnd
     */
    public DatumInfoFieldQuery fieldOrderNoEnd(Integer fieldOrderNoEnd){
        this.fieldOrderNoEnd = fieldOrderNoEnd;
        return this;
    }

    /**
     * 设置 增加 排序号
     * @param fieldOrderNoIncrement
     */
    public DatumInfoFieldQuery fieldOrderNoIncrement(Integer fieldOrderNoIncrement){
        this.fieldOrderNoIncrement = fieldOrderNoIncrement;
        return this;
    }

    /**
     * 设置 排序号
     * @param fieldOrderNoList
     */
    public DatumInfoFieldQuery fieldOrderNoList(List<Integer> fieldOrderNoList){
        this.fieldOrderNoList = fieldOrderNoList;
        return this;
    }

    /**
     * 设置 排序号
     * @param fieldOrderNoNotList
     */
    public DatumInfoFieldQuery fieldOrderNoNotList(List<Integer> fieldOrderNoNotList){
        this.fieldOrderNoNotList = fieldOrderNoNotList;
        return this;
    }


    /**
     * 设置 备注
     * @param remark
     */
    public DatumInfoFieldQuery remark(String remark){
        setRemark(remark);
        return this;
    }

    /**
     * 设置 备注
     * @param remarkList
     */
    public DatumInfoFieldQuery remarkList(List<String> remarkList){
        this.remarkList = remarkList;
        return this;
    }


    /**
     * 设置  创建人id
     * @param createUserId
     */
    public DatumInfoFieldQuery createUserId(Long createUserId){
        setCreateUserId(createUserId);
        return this;
    }

    /**
     * 设置 开始 创建人id
     * @param createUserIdStart
     */
    public DatumInfoFieldQuery createUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
        return this;
    }

    /**
     * 设置 结束 创建人id
     * @param createUserIdEnd
     */
    public DatumInfoFieldQuery createUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 创建人id
     * @param createUserIdIncrement
     */
    public DatumInfoFieldQuery createUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
        return this;
    }

    /**
     * 设置 创建人id
     * @param createUserIdList
     */
    public DatumInfoFieldQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
        return this;
    }

    /**
     * 设置 创建人id
     * @param createUserIdNotList
     */
    public DatumInfoFieldQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
    }


    /**
     * 设置  更新人id
     * @param updateUserId
     */
    public DatumInfoFieldQuery updateUserId(Long updateUserId){
        setUpdateUserId(updateUserId);
        return this;
    }

    /**
     * 设置 开始 更新人id
     * @param updateUserIdStart
     */
    public DatumInfoFieldQuery updateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
        return this;
    }

    /**
     * 设置 结束 更新人id
     * @param updateUserIdEnd
     */
    public DatumInfoFieldQuery updateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 更新人id
     * @param updateUserIdIncrement
     */
    public DatumInfoFieldQuery updateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
        return this;
    }

    /**
     * 设置 更新人id
     * @param updateUserIdList
     */
    public DatumInfoFieldQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
        return this;
    }

    /**
     * 设置 更新人id
     * @param updateUserIdNotList
     */
    public DatumInfoFieldQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
    }

    /**
     * 设置  事项id
     * @param matterId
     */
    public DatumInfoFieldQuery matterId(Long matterId){
        setMatterId(matterId);
        return this;
    }

    /**
     * 设置 开始 事项id
     * @param matterIdStart
     */
    public DatumInfoFieldQuery matterIdStart(Long matterIdStart){
        this.matterIdStart = matterIdStart;
        return this;
    }

    /**
     * 设置 结束 事项id
     * @param matterIdEnd
     */
    public DatumInfoFieldQuery matterIdEnd(Long matterIdEnd){
        this.matterIdEnd = matterIdEnd;
        return this;
    }

    /**
     * 设置 增加 事项id
     * @param matterIdIncrement
     */
    public DatumInfoFieldQuery matterIdIncrement(Long matterIdIncrement){
        this.matterIdIncrement = matterIdIncrement;
        return this;
    }

    /**
     * 设置 事项id
     * @param matterIdList
     */
    public DatumInfoFieldQuery matterIdList(List<Long> matterIdList){
        this.matterIdList = matterIdList;
        return this;
    }

    /**
     * 设置 事项id
     * @param matterIdNotList
     */
    public DatumInfoFieldQuery matterIdNotList(List<Long> matterIdNotList){
        this.matterIdNotList = matterIdNotList;
        return this;
    }


    /**
     * 设置 事项名称
     * @param matterName
     */
    public DatumInfoFieldQuery matterName(String matterName){
        setMatterName(matterName);
        return this;
    }

    /**
     * 设置 事项名称
     * @param matterNameList
     */
    public DatumInfoFieldQuery matterNameList(List<String> matterNameList){
        this.matterNameList = matterNameList;
        return this;
    }

    /**
     * 设置  材料id
     * @param materialId
     */
    public DatumInfoFieldQuery materialId(Long materialId){
        setMaterialId(materialId);
        return this;
    }

    /**
     * 设置 开始 材料id
     * @param materialIdStart
     */
    public DatumInfoFieldQuery materialIdStart(Long materialIdStart){
        this.materialIdStart = materialIdStart;
        return this;
    }

    /**
     * 设置 结束 材料id
     * @param materialIdEnd
     */
    public DatumInfoFieldQuery materialIdEnd(Long materialIdEnd){
        this.materialIdEnd = materialIdEnd;
        return this;
    }

    /**
     * 设置 增加 材料id
     * @param materialIdIncrement
     */
    public DatumInfoFieldQuery materialIdIncrement(Long materialIdIncrement){
        this.materialIdIncrement = materialIdIncrement;
        return this;
    }

    /**
     * 设置 材料id
     * @param materialIdList
     */
    public DatumInfoFieldQuery materialIdList(List<Long> materialIdList){
        this.materialIdList = materialIdList;
        return this;
    }

    /**
     * 设置 材料id
     * @param materialIdNotList
     */
    public DatumInfoFieldQuery materialIdNotList(List<Long> materialIdNotList){
        this.materialIdNotList = materialIdNotList;
        return this;
    }


    /**
     * 设置 材料名称
     * @param materialName
     */
    public DatumInfoFieldQuery materialName(String materialName){
        setMaterialName(materialName);
        return this;
    }

    /**
     * 设置 材料名称
     * @param materialNameList
     */
    public DatumInfoFieldQuery materialNameList(List<String> materialNameList){
        this.materialNameList = materialNameList;
        return this;
    }

    /**
     * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @return orConditionList
     */
    public List<DatumInfoFieldQuery> getOrConditionList(){
        return this.orConditionList;
    }

    /**
     * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @param orConditionList
     */
    public void setOrConditionList(List<DatumInfoFieldQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
     * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @return andConditionList
     */
    public List<DatumInfoFieldQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
     * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @param andConditionList
     */
    public void setAndConditionList(List<DatumInfoFieldQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}