package com.mortals.xhx.module.user.service.impl;
import com.mortals.framework.model.PageInfo;
import org.springframework.beans.BeanUtils;
import java.util.function.Function;
import org.springframework.stereotype.Service;
import com.mortals.framework.service.impl.AbstractCRUDServiceImpl;
import com.mortals.framework.exception.AppException;
import com.mortals.framework.model.Context;
import com.mortals.xhx.module.user.dao.SearchHistoryDao;
import com.mortals.xhx.module.user.model.SearchHistoryEntity;
import com.mortals.xhx.module.user.service.SearchHistoryService;
import lombok.extern.slf4j.Slf4j;
/**
* SearchHistoryService
* 用户搜索历史记录 service实现
*
* @author zxfei
* @date 2025-06-08
*/
@Service("searchHistoryService")
@Slf4j
public class SearchHistoryServiceImpl extends AbstractCRUDServiceImpl<SearchHistoryDao, SearchHistoryEntity, Long> implements SearchHistoryService {
    
}